%define docdir %_docdir/%name-%version

%def_disable static
%def_disable libxml2

Name: fontconfig
Version: 2.4.2
Release: alt3

Summary: Font configuration and customization library & utilities
Group: System/Configuration/Other
License: MIT
Url: http://fontconfig.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Obsoletes: lib%name < %version-%release
Provides: lib%name = %version-%release

Source: http://fontconfig.org/release/%name-%version.tar.gz
Source1: fontconfig-fc-conf.tar.bz2

Source4: %name-2.4.2.map
Source10: %name-firsttime

Source20: %name-10-antialias.conf
Source21: %name-10-no-antialias.conf
Source22: %name-10-style-full.conf
Source23: %name-10-style-light.conf
Source24: %name-10-style-medium.conf
Source25: %name-10-style-none.conf
Source26: %name-40-generic.conf
Source27: %name-60-alt-post-user.conf
Source28: %name-10-hinting.conf

Patch0: fontconfig-2.4.2-git-FcPatternDuplicate.patch
Patch1: fontconfig-2.4.2-git-rehash.patch
Patch2: fontconfig-2.4.2-git-glyph-name-buffer.patch
Patch3: fontconfig-2.4.2-git-FcDirCacheUnlink-bug11756.patch

# Automatically added by buildreq on Tue Jan 09 2007
BuildRequires: docbook-utils-print elinks gcc-c++ libfreetype-devel
%if_enabled libxml2
BuildRequires: libxml2-devel
%else
BuildRequires: libexpat-devel
%endif

%description
Fontconfig is designed to locate fonts within the system and
select them according to requirements specified by applications.

%package devel
Summary: Development files for font configuration and customization library
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package includes the header files
and developer documentation for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%package devel-static
Summary: Static build of the font configuration and customization library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name-devel-static package includes the static libraries
for the fontconfig package.

%prep
%setup -q -a1

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%__install -m644 %SOURCE4 src/symver.map

%build
%__autoreconf
%configure \
	%{subst_enable static} \
	--with-docdir=%docdir \
	--with-default-fonts=%_datadir/fonts \
	--with-cache-dir=%_var/cache/%name \
	%{subst_enable libxml2}

%make_build export_symbols=-Wl,--version-script=symver.map

cd fc-conf
%make

%install
%make DESTDIR=%buildroot install

%__install -m0755 fc-conf/fc-conf %buildroot%_bindir

%__rm -f %buildroot%_sysconfdir/fonts/conf.d/*{latin,unifont}.conf
%__install -m644 %SOURCE20 %buildroot%_sysconfdir/fonts/conf.avail/10-antialias.conf
%__install -m644 %SOURCE21 %buildroot%_sysconfdir/fonts/conf.avail/10-no-antialias.conf
%__install -m644 %SOURCE22 %buildroot%_sysconfdir/fonts/conf.avail/10-style-full.conf
%__install -m644 %SOURCE23 %buildroot%_sysconfdir/fonts/conf.avail/10-style-light.conf
%__install -m644 %SOURCE24 %buildroot%_sysconfdir/fonts/conf.avail/10-style-medium.conf
%__install -m644 %SOURCE25 %buildroot%_sysconfdir/fonts/conf.avail/10-style-none.conf
%__install -m644 %SOURCE28 %buildroot%_sysconfdir/fonts/conf.avail/10-hinting.conf
%__install -m644 %SOURCE26 %buildroot%_sysconfdir/fonts/conf.avail/40-generic.conf
%__install -m644 %SOURCE27 %buildroot%_sysconfdir/fonts/conf.avail/60-alt-post-user.conf
cd %buildroot%_sysconfdir/fonts/conf.d
%__ln_s ../conf.avail/60-alt-post-user.conf .
%__ln_s ../conf.avail/10*.conf .

# our fonts.conf
> %buildroot%_sysconfdir/fonts/local.conf

# firsttime update fonts cache
%__install -Dp -m755 %SOURCE10 %buildroot%_sysconfdir/firsttime.d/%name

%post
%post_ldconfig
[ -n "$DURING_INSTALL" ] || %_sysconfdir/firsttime.d/%name

%triggerin -- %name <= 2.3.2
/bin/find %_datadir/fonts -depth -type f -name fonts.cache-1 -delete

%postun
%postun_ldconfig

%files
%doc README AUTHORS doc/fontconfig-user.html doc/fontconfig-user.txt
%_sysconfdir/firsttime.d/%name
%dir %_sysconfdir/fonts
%dir %_sysconfdir/fonts/conf.d
%dir %_sysconfdir/fonts/conf.avail
%config %_sysconfdir/fonts/fonts.dtd
%config %_sysconfdir/fonts/fonts.conf
%config(noreplace) %_sysconfdir/fonts/conf.avail/*.conf
%_sysconfdir/fonts/conf.avail/README
%_sysconfdir/fonts/conf.d/[2-9]*.conf
%ghost %_sysconfdir/fonts/conf.d/1*.conf
%ghost %config(missingok,noreplace) %_sysconfdir/fonts/local.conf
%_bindir/fc-*
%_libdir/*.so.*
%_man1dir/*
%_man5dir/*
%dir %_var/cache/%name

%files devel
%doc doc/fontconfig-devel doc/fontconfig-devel.txt
%_libdir/*.so
%_pkgconfigdir/*.pc
%_includedir/*
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Aug 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.4.2-alt3
- added fc-conf utility, see fc-conf --help

* Mon Aug 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.4.2-alt2
- added fontconfig-2.4.2-git-FcDirCacheUnlink-bug11756.patch:
  + Free temporary string in FcDirCacheUnlink

* Thu Aug 02 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.4.2-alt1
- 2.4.2
- introduced FC_2.4 ABI interface for new functions in libfontconfig.so.1
- remove deprecated /usr/X11R6/lib/X11/fonts
- set default fonts dir to %%_datadir/fonts
- updated build dependencies

* Tue May 22 2007 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt10
- update font aliases; thanks shrek@alt

* Fri May 18 2007 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt9
- add font aliases for DejaVu fonts

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.3.2-alt8.0
- Automated rebuild.

* Mon May 15 2006 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt8
- add patch to don't use freetype internals 

* Mon Mar 20 2006 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt7
- add entire %%_datadir/fonts/bitmap

* Fri Dec 30 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt6
- add %%_datadir/fonts/bitmap/terminus

* Fri Dec 16 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt5
- add /usr/share/fonts/otf to search paths

* Tue Dec 13 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt4
- remove /usr/X11R6/lib/X11/fonts/urw-ttf from search paths
- add /usr/share/fonts/bitmap/misc,/usr/share/fonts/ttf,/usr/share/fonts/type1
  to search paths

* Sat Sep 10 2005 Alexey Tourbin <at@altlinux.ru> 2.3.2-alt3
- NMU: introduced FC_2.3 ABI interface for new functions in libfontconfig.so.1

* Fri Aug 05 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt2
- add Misc Fixed to monospace alias

* Thu Jun 02 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.2-alt1
- new version
- merge configuration/patches from SuSE

* Fri Mar 18 2005 Sergey V Turchin <zerg at altlinux dot org> 2.3.0-alt1
- new version

* Thu Oct 21 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.3-alt1
- new version

* Thu Jun 17 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt4
- remove /usr/X11R6/lib/X11/fonts/Type1 from fonts.conf

* Thu Jun 17 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt3
- fix %%post

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt2
- prefer XLinSans before Numbus
- prefer MS Fonts before Fixed

* Thu May 20 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.2-alt1
- new version
- merge configuration scheme from SuSE

* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 2.2.1-alt5
- fix path to ms-fonts-ttf

* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 2.2.1-alt4
- Ignore .fulldir entries from earlier versions 'dircache' fix (RH).
- Don't read from/write to NULL cache files (RH).
- Do not package .la files.

* Thu Oct 30 2003 AEN <aen@altlinux.ru> 2.2.1-alt3
- XLinSans is preferable Sans now

* Wed Jul 16 2003 AEN <aen@altlinux.ru> 2.2.1-alt2
- old fonts.conf restored

* Wed Jun 18 2003 AEN <aen@altlinux.ru> 2.2.1-alt1
- 2.2.1
- mhz patches & spec

* Wed Jun 11 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.2.0-alt0.1
- New version
- Patch3 gone upstream
- Use default config with known-good preconfigured paths
- Disabled doc build broken too badly
- Cleaned up filelist
- Optional devel-static subpackage

* Sat Apr 12 2003 AEN <aen@altlinux.ru> 2.1-alt2
- dircahce patch from RH

* Fri Feb 28 2003 AEN <aen@altlinux.ru> 2.1-alt1
- new version

* Fri Jan 17 2003 AEN <aen@altlinux.ru> 2.0-alt12
- desplitting

* Sun Jan 05 2003 AEN <aen@altlinux.ru> 2.0-alt11
- lib%name required %name

* Wed Nov 20 2002 AEN <aen@altlinux.ru> 2.0-alt10
- path to jdk-fonts added to fonts.conf

* Wed Nov 20 2002 Mikhail Zabaluev <mhz@altlinux.ru> 2.0-alt9.1mhz
- libification (again)
- remove src/fclang.o to rebuild just it instead of all-out make clean

* Wed Nov 13 2002 AEN <aen@altlinux.ru> 2.0-alt9
- build fixed

* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.0-alt8
- XLinSans & CourierCyr added to fonts.conf

* Fri Oct 11 2002 AEN <aen@altlinux.ru> 2.0-alt7
- fonts.conf changed again

* Thu Oct 10 2002 AEN <aen@altlinux.ru> 2.0-alt6
- ru.orth fix
- lang.h build

* Tue Oct 08 2002 AEN <aen@altlinux.ru> 2.0-alt5
- gww-ttf removed from fonts.conf

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt4
- fonts.conf fixed

* Fri Oct 04 2002 AEN <aen@altlinux.ru> 2.0-alt3
- patches & %post from RH

* Mon Sep 23 2002 AEN <aen@altlinux.ru> 2.0-alt2
- %files fixed

* Wed Sep 18 2002 AEN <aen@altlinux.ru> 2.0-alt1
- release

* Tue Jul 02 2002 AEN <aen@logic.ru> 0.0.1-alt1
- first build for Sisyphus
- config patch (alt specific)

* Tue Jun 18 2002 Owen Taylor <otaylor@redhat.com>
- Fix crash from FcObjectSetAdd

* Tue Jun 11 2002 Owen Taylor <otaylor@redhat.com>
- make fonts.conf %%config, not %%config(noreplace)
- Another try at the CJK aliases
- Add some CJK fonts to the config
- Prefer Luxi Mono to Nimbus Mono

* Mon Jun 10 2002 Owen Taylor <otaylor@redhat.com>
- New upstream version
- Fix matching for bitmap fonts

* Mon Jun  3 2002 Owen Taylor <otaylor@redhat.com>
- New version, new upstream mega-tarball

* Tue May 28 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with FcConfigSort

* Fri May 24 2002 Owen Taylor <otaylor@redhat.com>
- Initial specfile

